org.icefaces.ace.component.progressbar

## Class ProgressBarBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.progressbar.ProgressBarBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IProgressBar
  Direct Known Subclasses:
    ProgressBar

      public abstract class ProgressBarBase
      extends javax.faces.component.UIComponentBase
      implements IProgressBar, IceClientBehaviorHolder

  The Progress Bar is a process status indicator that can either work purely on client side or interact with server side using ajax.

  For more information, see the ProgressBar Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ProgressBarBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressBarBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `javax.el.MethodExpression` | `getCancelListener()` Return the value of the `cancelListener` property.
    `javax.el.MethodExpression` | `getChangeListener()` Return the value of the `changeListener` property.
    `javax.el.MethodExpression` | `getCompleteListener()` Return the value of the `completeListener` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `int` | `getPollingInterval()` Return the value of the `pollingInterval` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `int` | `getValue()` Return the value of the `value` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isUsePolling()` Return the value of the `usePolling` property.
    `void` | `setCancelListener(javax.el.MethodExpression cancelListener)` Set the value of the `cancelListener` property.
    `void` | `setChangeListener(javax.el.MethodExpression changeListener)` Set the value of the `changeListener` property.
    `void` | `setCompleteListener(javax.el.MethodExpression completeListener)` Set the value of the `completeListener` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setPollingInterval(int pollingInterval)` Set the value of the `pollingInterval` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setUsePolling(boolean usePolling)` Set the value of the `usePolling` property.
    `void` | `setValue(int value)` Set the value of the `value` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgressBarBase

          public ProgressBarBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setCancelListener

          public void setCancelListener(javax.el.MethodExpression cancelListener)

      Set the value of the `cancelListener` property.

      Contents: A server side listener to be invoked when a progress is cancelled.

      Specified by:
        `setCancelListener` in interface `IProgressBar`

    - #### getCancelListener

          public javax.el.MethodExpression getCancelListener()

      Return the value of the `cancelListener` property.

      Contents: A server side listener to be invoked when a progress is cancelled.

      Specified by:
        `getCancelListener` in interface `IProgressBar`

    - #### setChangeListener

          public void setChangeListener(javax.el.MethodExpression changeListener)

      Set the value of the `changeListener` property.

      Contents: A server side listener to be invoked when the value of the progress bar changes.

      Specified by:
        `setChangeListener` in interface `IProgressBar`

    - #### getChangeListener

          public javax.el.MethodExpression getChangeListener()

      Return the value of the `changeListener` property.

      Contents: A server side listener to be invoked when the value of the progress bar changes.

      Specified by:
        `getChangeListener` in interface `IProgressBar`

    - #### setCompleteListener

          public void setCompleteListener(javax.el.MethodExpression completeListener)

      Set the value of the `completeListener` property.

      Contents: A server side listener to be invoked when a progress is completed.

      Specified by:
        `setCompleteListener` in interface `IProgressBar`

    - #### getCompleteListener

          public javax.el.MethodExpression getCompleteListener()

      Return the value of the `completeListener` property.

      Contents: A server side listener to be invoked when a progress is completed.

      Specified by:
        `getCompleteListener` in interface `IProgressBar`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Disables or enables the progressbar.

      Specified by:
        `setDisabled` in interface `IProgressBar`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Disables or enables the progressbar.

      Specified by:
        `isDisabled` in interface `IProgressBar`

    - #### setPollingInterval

          public void setPollingInterval(int pollingInterval)

      Set the value of the `pollingInterval` property.

      Contents: Interval in milliseconds to do polling.

      Specified by:
        `setPollingInterval` in interface `IProgressBar`

    - #### getPollingInterval

          public int getPollingInterval()

      Return the value of the `pollingInterval` property.

      Contents: Interval in milliseconds to do polling. Default = '3000'.

      Specified by:
        `getPollingInterval` in interface `IProgressBar`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Inline style of the main container element.

      Specified by:
        `setStyle` in interface `IProgressBar`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Inline style of the main container element.

      Specified by:
        `getStyle` in interface `IProgressBar`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class of the main container element.

      Specified by:
        `setStyleClass` in interface `IProgressBar`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class of the main container element.

      Specified by:
        `getStyleClass` in interface `IProgressBar`

    - #### setUsePolling

          public void setUsePolling(boolean usePolling)

      Set the value of the `usePolling` property.

      Contents: If true, you can use start() to start polling sever for progress value.

      Specified by:
        `setUsePolling` in interface `IProgressBar`

    - #### isUsePolling

          public boolean isUsePolling()

      Return the value of the `usePolling` property.

      Contents: If true, you can use start() to start polling sever for progress value.

      Specified by:
        `isUsePolling` in interface `IProgressBar`

    - #### setValue

          public void setValue(int value)

      Set the value of the `value` property.

      Contents: Value of the progress bar.

      Specified by:
        `setValue` in interface `IProgressBar`

    - #### getValue

          public int getValue()

      Return the value of the `value` property.

      Contents: Value of the progress bar. Default = '0'.

      Specified by:
        `getValue` in interface `IProgressBar`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `setWidgetVar` in interface `IProgressBar`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `getWidgetVar` in interface `IProgressBar`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.